Resource Center/Network Service/Network Service Operations/VIP Operations
PUTVIP OperationsSince 2.3SynchronousAuth Required
SetVipQos
SetVipQos
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
setvipqosObjectRequiredsetvipqos request body object.
portIntegerOptional. The port.
outboundBandwidthLongOptional. The outbound bandwidth of the request port.
inboundBandwidthLongOptional. The inbound bandwidth of the request port. Make sure that either inboundBandwidth or outboundBandwidth is not null.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/vips/{uuid}/actions
/zstack/v1/vips/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/vips/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"setvipqos":{"port":1,"outboundBandwidth":1,"inboundBandwidth":1},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "dd9459fe90ff4ae0b26ab3cbf1f1e3a2", "vipUuid": "e82e583934b441aaaf37039ff5eba877", "port": 80.0, "inboundBandwidth": 1048576.0, "outboundBandwidth": 1048576.0 } }Change History
This API has no change history records yet.
